﻿using Microsoft.Extensions.Logging;
using SushiBarContracts.BusinessLogicsContracts;

namespace SushiBar.Forms
{
    public partial class FormMailView : Form
    {
        private readonly ILogger _logger;
        private readonly IMessageInfoLogic _logic;
        public FormMailView(ILogger<FormMailView> logger, IMessageInfoLogic logic)
        {
            InitializeComponent();
            _logger = logger;
            _logic = logic;
        }

        private void FormMailView_Load(object sender, EventArgs e)
        {
            try
            {
                var list = _logic.ReadList(null);
                if (list != null)
                {
                    dataGridView.DataSource = list;
                    dataGridView.Columns["ClientId"].Visible = false;
                    dataGridView.Columns["MessageId"].Visible = false;
                    dataGridView.Columns["Body"].AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill;
                }
                _logger.LogInformation("Загрузка списка писем");
            }
            catch (Exception ex)
            {
                _logger.LogError(ex, "Ошибка загрузки писем");
                MessageBox.Show(ex.Message, "Ошибка", MessageBoxButtons.OK,
                MessageBoxIcon.Error);
            }
        }
    }
}
